/*******************************************************************************
 * Copyright (c) 2010 IGA Tosiki, NTT DATA BUSINESS BRAINS Corp.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    IGA Tosiki (NTT DATA BUSINESS BRAINS Corp.) - initial API and implementation
 *******************************************************************************/
/*
 * blanco Framework
 * Copyright (C) 2004-2010 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.service.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.service.BlancoServiceConstants;
import blanco.service.resourcebundle.BlancoServiceResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoServiceWizardPage4 extends WizardPage {
    private static final BlancoServiceResourceBundle fBundle = new BlancoServiceResourceBundle();

    public BlancoServiceWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoServiceConstants.PRODUCT_NAME + "プラグインに関連するフォルダ");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoServiceConstants.PRODUCT_NAME
                        + "プラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.ソースフォルダ (フォルダ名は src を推奨)");
        new Label(container, SWT.NONE)
                .setText("    ソースフォルダを設定(作成)することを強く推奨します。");
        new Label(container, SWT.NONE).setText("  2.メタディレクトリ (フォルダ名は meta"
                + BlancoServiceConstants.TARGET_SUBDIRECTORY + " を強く推奨します)");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "が格納されます。");
        new Label(container, SWT.NONE)
                .setText("  3.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE).setText("  4.自動生成されたソースコードが格納されるフォルダ");
        new Label(container, SWT.NONE).setText("    ・blanco/main (Java)");

        setControl(container);
    }
}